package qznn

import (
	"testing"

	"github.com/magiconair/properties/assert"
)

func TestStart(t *testing.T) {
	game := NewGame()
	game.Start()
}

func TestJoin(t *testing.T) {
	game := NewGame()
	game.Start()

	game.Join(1)
	_, exists := game.PlayerMap[1]
	assert.Equal(t, exists, true)
}

func TestReady(t *testing.T) {
	game := NewGame()
	game.Start()

	game.Ready(1)
}
